Skip to main content
GET
/
v1
/
customers
/
{customerId}
Get Customer
curl --request GET \
  --url https://api.monk.com/v1/customers/{customerId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "legalName": "<string>",
    "tags": [
      "<string>"
    ],
    "isPaused": true,
    "pausedAt": "<string>",
    "metadata": {
      "externalCustomerId": "<string>",
      "externalCompanyIds": [
        "<string>"
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
Scope: customers:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Response

Customer found

data
object